Bug 14798 - Надо бы сделать возможность вывода полной строки connect
: Надо бы сделать возможность вывода полной строки connect
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdenetwork-kppp)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-06 22:50 by
Modified: 2014-08-13 17:47 (History)


Attachments
вывод полной строки connect (4.12 KB, patch)
2008-03-16 20:28, Sergey Y. Afonin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-06 22:50:14
нужный эффект достигается, если вставить 

  result=s.mid(0, s.length()-1);
  return result;

в начало Modem::parseModemSpeed в modem.cpp, но надо бы сделать чекбокс ещё.
Могу попробовать сам доделать, но, вдруг, это быстро, если знать, где ? А я,
возможно, долго буду ковыряться: что-то там в куче разных мест надо правки
вносить. Вообще, я, когда-то, вешал http://bugs.kde.org/show_bug.cgi?id=91025 ,
но описал там это как-то сумбурно.
------- Comment #1 From 2008-03-06 23:07:00 -------
Тьфу, перепутал. Не 91025 на kde.org, а 80830. Кстати, по поводу 91025 я патча
в
пакете не вижу, оно в основной ветке уже ?
------- Comment #2 From 2008-03-16 20:28:26 -------
Created an attachment (id=2500) [details]
вывод полной строки connect

В общем, вот. Есть маленькая недоработка: ConWindow::timeclick() вызывается
только при старте. Потому переименование Connected at <> Connection string для
статического окошка происходит только при перезапуске kppp. Но, как мне
кажется, это не принципиально - чекбокс "Show full connection string", скорее
всего, будут выставлять один раз.

Кстати, есть какая-то грабля. Судя по	
chkBox = new QCheckBox(i18n("Automatic redial on NO &CARRIER"), parent);
у этого чекбокса горячая славиша "C", а подчёркивается "r".
------- Comment #3 From 2008-03-31 19:20:12 -------
(In reply to comment #1)
> по поводу 91025 я патча в
> пакете не вижу, оно в основной ветке уже ?
Да
------- Comment #4 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #5 From 2014-08-13 14:27:33 -------
Очевидно, не делается.
------- Comment #6 From 2014-08-13 17:47:02 -------
Это, видимо, для KDE3 было. И там оно, кажется, работало... Но сейчас
актуальность диалапного модема от меня далеко ушла, так что, пусть wontfix. А
если надо кому, пусть сам достаёт. :-)